admin_shop_order_list:
    pattern:  /shop/orders.{_format}
    defaults: { _controller: TwtoolsShopBundle:ShopAdmin:list, _format: html, _api: list}
    requirements:
        _format:  html|xml|json

# Route for admin controller
admin_shop_currency_list:
    pattern:  /shop/currencies.{_format}
    defaults: { _controller: TwtoolsShopBundle:CurrencyAdmin:list, _format: html, _api: list}
    requirements:
        _format:  html|xml|json

admin_shop_currency_csv:
    pattern:  /shop/currencies/excel
    defaults: { _controller: TwtoolsShopBundle:CurrencyAdmin:list, output: csv }

admin_shop_currency_new:
    pattern:  /shop/currencies/new.{_format}
    defaults: { _controller: TwtoolsShopBundle:CurrencyAdmin:new, _format: html, _api: update}
    requirements:
        _format:  html|xml|json

admin_shop_currency_update:
    pattern:  /shop/currencies/update/{id}.{_format}
    defaults: { _controller: TwtoolsShopBundle:CurrencyAdmin:update, _format: html, _api: update}
    requirements:
        _format:  html|xml|json
        id:  \d+

admin_shop_currency_delete:
    pattern:  /shop/currencies/delete/{id}.{_format}
    defaults: { _controller: TwtoolsShopBundle:CurrencyAdmin:remove, _format: html, _api: delete}
    requirements:
        _format:  html|xml|json
        id:  \d+

# Route for admin orderstep controller
admin_shop_orderstep_list:
    pattern:  /shop/orderssteps.{_format}
    defaults: { _controller: TwtoolsShopBundle:OrderStepAdmin:list, _format: html, _api: list}
    requirements:
        _format:  html|xml|json

admin_shop_orderstep_csv:
    pattern:  /shop/orderssteps/excel
    defaults: { _controller: TwtoolsShopBundle:OrderStepAdmin:list, output: csv }

admin_shop_orderstep_new:
    pattern:  /shop/orderssteps/new.{_format}
    defaults: { _controller: TwtoolsShopBundle:OrderStepAdmin:new, _format: html, _api: update}
    requirements:
        _format:  html|xml|json

admin_shop_orderstep_update:
    pattern:  /shop/orderssteps/update/{id}.{_format}
    defaults: { _controller: TwtoolsShopBundle:OrderStepAdmin:update, _format: html, _api: update}
    requirements:
        _format:  html|xml|json
        id:  \d+

admin_shop_orderstep_delete:
    pattern:  /shop/orderssteps/delete/{id}.{_format}
    defaults: { _controller: TwtoolsShopBundle:OrderStepAdmin:remove, _format: html, _api: delete}
    requirements:
        _format:  html|xml|json
        id:  \d+

# Route for admin payment controller
admin_shop_payment_list:
    pattern:  /shop/payments.{_format}
    defaults: { _controller: TwtoolsShopBundle:PaymentAdmin:list, _format: html, _api: list}
    requirements:
        _format:  html|xml|json

admin_shop_payment_csv:
    pattern:  /shop/payments/excel
    defaults: { _controller: TwtoolsShopBundle:PaymentAdmin:list, output: csv }

admin_shop_payment_new:
    pattern:  /shop/payments/new.{_format}
    defaults: { _controller: TwtoolsShopBundle:PaymentAdmin:new, _format: html, _api: update}
    requirements:
        _format:  html|xml|json

admin_shop_payment_update:
    pattern:  /shop/payments/update/{id}.{_format}
    defaults: { _controller: TwtoolsShopBundle:PaymentAdmin:update, _format: html, _api: update}
    requirements:
        _format:  html|xml|json
        id:  \d+

admin_shop_payment_delete:
    pattern:  /shop/payments/delete/{id}.{_format}
    defaults: { _controller: TwtoolsShopBundle:PaymentAdmin:remove, _format: html, _api: delete}
    requirements:
        _format:  html|xml|json
        id:  \d+
